"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var square_calendar_common_1 = require("../square-calendar.common");
var core_1 = require("@angular/core");
var element_registry_1 = require("nativescript-angular/element-registry");
var square_calendar_directive_1 = require("./square-calendar.directive");
var SquareCalendarModule = (function (_super) {
    __extends(SquareCalendarModule, _super);
    function SquareCalendarModule() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    SquareCalendarModule.prototype.createNativeView = function () {
        var nextYear = java.util.Calendar.getInstance();
        nextYear.add(java.util.Calendar.YEAR, 1);
        var today = new java.util.Date();
        var CalendarPickerView = com.savvi.rangedatepicker.CalendarPickerView;
        this.calendarView = new CalendarPickerView(this._context, null);
        this.calendarView.init(today, nextYear.getTime())
            .inMode(CalendarPickerView.SelectionMode.RANGE);
        return this.calendarView;
    };
    SquareCalendarModule.prototype.initNativeView = function () {
        _super.prototype.initNativeView.call(this);
        this._androidViewId = android.view.View.generateViewId();
        this.nativeView.setId(this._androidViewId);
    };
    SquareCalendarModule.prototype.getSelectedValue = function () {
        return this.calendarView.getSelectedDates();
    };
    SquareCalendarModule = __decorate([
        core_1.NgModule({
            declarations: [square_calendar_directive_1.DIRECTIVES],
            exports: [square_calendar_directive_1.DIRECTIVES],
        })
    ], SquareCalendarModule);
    return SquareCalendarModule;
}(square_calendar_common_1.Common));
exports.SquareCalendarModule = SquareCalendarModule;
element_registry_1.registerElement("SquareCalendar", function () { return require("../").SquareCalendar; });
//# sourceMappingURL=square-calendar.module.js.map